import { useState, useEffect } from 'react'
import withLayout from '@/layout'
import { ScrollView } from '@tarojs/components'
import '@/assets/css/iconfont.css'
import './index.scss'

export default withLayout((props) => {

  const [InfoList, setInfoList] = useState([
    [
      { name: '项目名称', value: '葛洲坝·南京中国府', key: '' },
      { name: '开发商', value: '暂无', key: '' },
      { name: '均价', value: '待定', key: '' },
      { name: '销售状态', value: '待定', key: '' },
      { name: '开盘日期', value: '2019-08-05', key: '' },
      { name: '楼盘地址', value: '南京建邺区友谊街交汇处南京建邺区友谊街交汇处', key: '' },
    ],
    [
      { name: '装修标准', value: '精装', key: '' },
      { name: '物业公司', value: '葛洲坝物业', key: '' },
      { name: '物业费', value: '2.0元/㎡/月', key: '' },
    ],
    [
      { name: '容积率', value: '2.75', key: '' },
      { name: '供水', value: '民水', key: '' },
      { name: '供电', value: '民电', key: '' },
      { name: '供暖方式', value: '自采暖', key: '' },
      { name: '人车分流', value: '-', key: '' },
      { name: '车位数量', value: '约1000', key: '' },
      { name: '规划户数', value: '300', key: '' },
      { name: '楼栋总数', value: '25', key: '' },
      { name: '绿化率', value: '35.31%', key: '' },
      { name: '项目说明', value: '南京建邺区友谊街交汇处南京建邺区友谊街交汇处', key: '' },
      { name: '备案名', value: '暂无', key: '' },
    ]
  ])

  return (
    <view className='Page buildingInfo'>
      <ScrollView scrollY>
        <view className='List'>
          {
            InfoList.map((item, index) => (
              <view key={`ListItem-${index}`}>
                {
                  item.map((subItem, subIndex) => (
                    <view className='flex-h' key={`SubListItem-${subIndex}`}>
                      <text>{subItem.name}</text>
                      <view className='flex-item'>
                        <text>{subItem.value}</text>
                      </view>
                    </view>
                  ))
                }
              </view>
            ))
          }
        </view>
      </ScrollView>
    </view>
  )
})
